Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.AWXML
Class DerivedMeasure

    java.lang.Object
      |
      +--oracle.AWXML.BaseObject
            |
            +--oracle.AWXML.Measure
                  |
                  +--oracle.AWXML.DerivedMeasure

public class DerivedMeasure
extends Measure

A `Measure` the values of which result from mathematical operations or data transformations on values of other `Measure` objects. For example, the values of a `DerivedMeasure` can be derived by calculating the averages, totals, percentages, or differences of the values of existing `Measure` objects.

A `DerivedMeasure` is owned by a `Cube`. To create a `DerivedMeasure`, use the `createDerivedMeasure` method of a `Cube`.

See Also:
  `OlapMeasure`

Fields inherited from class oracle.AWXML.BaseObject
`DATABASENULL`

Constructor Summary
`DerivedMeasure(BaseObject input)` Creates a `DerivedMeasure` for the specified `Cube`.

Method Summary
`java.lang.String` | `Alter(AWConnection connection)` Alters textual attributes of the `DerivedMeasure` in the current analytic workspace of the specified database connection.
`java.lang.String` | `Create(AWConnection connection)` Creates a `DerivedMeasure` in the current analytic workspace of the specified database connection.
`java.lang.String` | `Delete(AWConnection connection)` Deletes the `DerivedMeasure` in the current analytic workspace of the specified database connection.
`java.lang.String` | `getExpressionText()` Gets the expression that specifies the operation that results in the values of the `DerivedMeasure`.
`java.lang.String` | `getId()` Gets the identifier of the `DerivedMeasure`.
`Operator` | `getOperator()` Gets the `Operator` for the `DerivedMeasure`.
`boolean` | `isValid()` Indicates whether the `DerivedMeasure` is a valid object in the analytic workspace.
`void` | `setExpressionText(java.lang.String input)` Specifies the calculation that results in the values of the `DerivedMeasure`.
`void` | `setOperator(Operator input)` Specifies an `Operator` for the `DerivedMeasure`.
`java.lang.String` | `WriteToXML()` Gets an XML representation of the `DerivedMeasure`.

Methods inherited from class oracle.AWXML.Measure
`getAutoSolve, getDataType, getSolveDefinition, setAutoSolve, setDataType, setSolveDefinition`

Methods inherited from class oracle.AWXML.BaseObject
`CreateAfter, CreateBefore, CreateFirst, DataRead, getColumnName, getLongName, getLongName, getName, getOwner, getPluralName, getPluralName, getSchema, getShortName, getShortName, setColumnName, setLongName, setLongName, setName, setPluralName, setPluralName, setSchema, setShortName, setShortName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DerivedMeasure

    public DerivedMeasure(BaseObject input)

  Creates a `DerivedMeasure` for the specified `Cube`. An application should create a `DerivedMeasure` by using the `createDerivedMeasure` method of a `Cube`.
  Parameters:
    `input` - The `Cube` that you want to own the `DerivedMeasure`.

Method Detail

### getId

    public java.lang.String getId()

  Gets the identifier of the `DerivedMeasure`. The identifier is the full name of the `DerivedMeasure` in the format owner.name.type. For example, the identifier of a `DerivedMeasure` with the name `MARGIN` that is owned by a `Cube` named `PRICE_COST_CUBE_AW` is `PRICE_COST_CUBE_AW.MARGIN.MEASURE`.

  For more information on object identifiers, see Object Identifiers.

  Overrides:
    getId in class BaseObject
  Returns:
    A `String` that contains the identifier of the `Cube`.

### setExpressionText

    public void setExpressionText(java.lang.String input)

  Specifies the calculation that results in the values of the `DerivedMeasure`. For example, the following expression specifies subtracting the values of one `Measure` from another `Measure`.

  `PRICE_COST_CUBE_AW.PRICE_AW.MEASURE - PRICE_COST_CUBE_AW.COST_AW.MEASURE`

  Parameters:
    `input` - A `String` that specifies the operation that results in the values of the `DerivedMeasure`.

### getExpressionText

    public java.lang.String getExpressionText()

  Gets the expression that specifies the operation that results in the values of the `DerivedMeasure`.
  Returns:
    A `String` that specifies the operation that results in the values of the `DerivedMeasure`.

### setOperator

    public void setOperator(Operator input)

  Specifies an `Operator` for the `DerivedMeasure`. The `Operator` determines the mathematical operation that the analytic workspace uses to calculate the values of the `DerivedMeasure`.
  Parameters:
    `input` - The `Operator` to use to calculate the values of the `DerivedMeasure`.

### getOperator

    public Operator getOperator()

  Gets the `Operator` for the `DerivedMeasure`.
  Returns:
    The `Operator` for the `DerivedMeasure`.

### WriteToXML

    public java.lang.String WriteToXML()

  Gets an XML representation of the `DerivedMeasure`.
  Overrides:
    WriteToXML in class Measure
  Returns:
    An XML `String` that represents the `DerivedMeasure`.

### Create

    public java.lang.String Create(AWConnection connection)

  Creates a `DerivedMeasure` in the current analytic workspace of the specified database connection. To create a `DerivedMeasure`, an application should use the `createDerivedMeasure` method of a `Cube`.
  Overrides:
    Create in class Measure
  Parameters:
    `connection` - The `AWConnection` that specifies the database connection.
  Returns:
    A `String` that contains `success` if this method successfully creates the `DerivedMeasure`.

### Delete

    public java.lang.String Delete(AWConnection connection)

  Deletes the `DerivedMeasure` in the current analytic workspace of the specified database connection.
  Overrides:
    Delete in class Measure
  Parameters:
    `connection` - The `AWConnection` that specifies the database connection.
  Returns:
    A `String` that contains `success` if this method successfully deletes the `DerivedMeasure`.

### Alter

    public java.lang.String Alter(AWConnection connection)

  Alters textual attributes of the `DerivedMeasure` in the current analytic workspace of the specified database connection.
  Overrides:
    Alter in class Measure
  Parameters:
    `connection` - The `AWConnection` that specifies the database connection.
  Returns:
    A `String` that contains `success` if this method successfully alters the `DerivedMeasure`.

### isValid

    public boolean isValid()

  Indicates whether the `DerivedMeasure` is a valid object in the analytic workspace.
  Returns:
    A `boolean` that is `true` if the `DerivedMeasure` is valid or `false` if it is not valid.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005 Oracle. All rights reserved.